Bug 168260 - gcc crashes in resolve_overloaded_unification
gcc crashes in resolve_overloaded_unification
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jakub Jelinek
Depends On:
Blocks: 185794 186995
  Show dependency treegraph
Reported: 2005-09-13 23:18 EDT by Dr Thomas Conway
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 4.0.2-8.fc4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-03-18 02:41:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
gzipped [preprocessed] source file that reproduces the crash (186.06 KB, application/x-gzip)
2005-09-13 23:20 EDT, Dr Thomas Conway
no flags Details
Candidate patch to fix the bug (6.50 KB, patch)
2005-09-25 01:14 EDT, Alexandre Oliva
no flags Details | Diff

  None (edit)
Description Dr Thomas Conway 2005-09-13 23:18:40 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc3 Firefox/1.0.6

Description of problem:
Compiling the following (buggy) c++ code causes gcc to crash with the following internal error:

x.cc: In constructor `ExprGrammar::definition<ScannerT>::definition(const ExprGrammar&)':
x.cc:46796: internal compiler error: in resolve_overloaded_unification, at cp/pt.c:9326
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions.
Preprocessed source stored into /tmp/ccEAmStM.out file, please attach this to your bugreport.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. gcc -c x.cc

Additional info:
Comment 1 Dr Thomas Conway 2005-09-13 23:20:18 EDT
Created attachment 118786 [details]
gzipped [preprocessed] source file that reproduces the crash
Comment 2 Alexandre Oliva 2005-09-25 01:14:01 EDT
Created attachment 119232 [details]
Candidate patch to fix the bug

The attached patch fixes the crash on the ill-formed input.  I'm submitting a
variant thereof to GCC mainline.
Comment 6 Jakub Jelinek 2006-03-18 02:41:12 EST
GCC 4.0.x and 4.1.x (FC4 resp. FC5) says here:
168260.ii: In constructor xprGrammar::definition<ScannerT>::definition(const
168260.ii:46796: error: ISO C++ forbids taking the address of a bound member
function to form a pointer to member function.  Say prGrammar::makeArg'
168260.ii:46796: confused by earlier errors, bailing out

Not ideal, but guess for invalid input it is something we can live with.
FC3 is no longer supported.
Comment 7 Bob Johnson 2006-04-11 13:20:31 EDT
This issue is on Red Hat Engineering's list of planned work items 
for the upcoming Red Hat Enterprise Linux 4.4 release.  Engineering 
resources have been assigned and barring unforeseen circumstances, Red 
Hat intends to include this item in the 4.4 release.

Note You need to log in before you can comment on or make changes to this bug.